Bug 454017 - Review Request: tcl-tileqt - QT widget support for Tile Toolkit
Summary: Review Request: tcl-tileqt - QT widget support for Tile Toolkit
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 454015
Blocks: 454022
TreeView+ depends on / blocked
 
Reported: 2008-07-03 20:17 UTC by Tom "spot" Callaway
Modified: 2008-10-23 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 16:56:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2008-07-03 20:17:27 UTC
Spec URL: http://auroralinux.org/people/spot/review/coccinella/tcl-tileqt.spec
SRPM URL: http://auroralinux.org/people/spot/review/coccinella/tcl-tileqt-0.4-0.1.b1.fc10.src.rpm
Description: 
TileQt is a theme for the tile toolkit, which uses the Qt/KDE style engine to
draw widgets. Thus, Tk applications that use the tile widget set look the same
as KDE applications under GNU/Linux.

Comment 1 Marcela Mašláňová 2008-10-14 12:41:12 UTC
OK source files match upstream:
    b48430f22a3311cbaab1e5e9d5cd6b07  tileqt0.4b1.tar.gz
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
OK license field matches the actual license.
OK license is open source-compatible. License text not included upstream.
OK latest version is being packaged.
OK BuildRequires are proper.
OK %clean is present.
FAIL package builds in mock (Rawhide/x86_64).
OK debuginfo package looks complete.
OK rpmlint is silent.
OK final provides and requires look sane.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
OK %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.

Please check
http://koji.fedoraproject.org/koji/getfile?taskID=879976&name=build.log

Comment 2 Tom "spot" Callaway 2008-10-16 14:27:03 UTC
I know how to fix this, but when I did, it exposed a bug in the coccinella stack, so I want to make sure I have that fixed before I go forward here.

Comment 4 Marcela Mašláňová 2008-10-22 08:19:29 UTC
ACCEPT

Comment 5 Tom "spot" Callaway 2008-10-22 16:02:17 UTC
New Package CVS Request
=======================
Package Name: tcl-tileqt
Short Description: QT widget support for Tile Toolkit
Owners: spot
Branches: F-8 F-9 devel
InitialCC:

... and it's done.

Comment 6 Tom "spot" Callaway 2008-10-22 16:56:28 UTC
Built in rawhide, F-8 and F-9 updates coming.

Comment 7 Fedora Update System 2008-10-22 17:06:22 UTC
tcl-tileqt-0.4-0.2.b1.fc8.1 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/tcl-tileqt-0.4-0.2.b1.fc8.1

Comment 8 Fedora Update System 2008-10-22 17:06:26 UTC
tcl-tileqt-0.4-0.2.b1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tcl-tileqt-0.4-0.2.b1.fc9

Comment 9 Fedora Update System 2008-10-23 16:40:25 UTC
tcl-tileqt-0.4-0.2.b1.fc8.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-10-23 16:41:34 UTC
tcl-tileqt-0.4-0.2.b1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.